Skip to main content
GET
/
payperiods
List all pay periods
curl --request GET \
  --url https://{base_url}/api/v1/payperiods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{base_url}/api/v1/payperiods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{base_url}/api/v1/payperiods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "2106_898371",
    "calendar": "Weekly",
    "closed": null,
    "finishDate": "2026-04-22",
    "hours": 0,
    "numberEmployees": 0,
    "numberTimesheets": 0,
    "payRollCompanyId": "",
    "payRollProvider": "iPayroll",
    "startDate": "2026-04-16"
  },
  {
    "id": "2106_898372",
    "calendar": "Weekly",
    "closed": null,
    "finishDate": "2026-04-15",
    "hours": 0,
    "numberEmployees": 0,
    "numberTimesheets": 0,
    "payRollCompanyId": "",
    "payRollProvider": "iPayroll",
    "startDate": "2026-04-09"
  }
]

Authorizations

Authorization
string
header
required

Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}

Response

A list of pay periods

id
string

The unique identifier for the pay period

Example:

"2106_898371"

calendar
string

The name of the pay calendar this period belongs to

Example:

"Weekly"

closed
string | null

The date the pay period was closed, in YYYY-MM-DD format. Null if not yet closed.

Example:

null

finishDate
string<date>

The end date of the pay period in YYYY-MM-DD format

Example:

"2026-04-22"

hours
number

Total hours worked in this pay period

Example:

0

numberEmployees
integer

The number of employees with timesheets in this pay period

Example:

0

numberTimesheets
integer

The total number of timesheets in this pay period

Example:

0

payRollCompanyId
string

The payroll company identifier. Empty string if not assigned.

Example:

""

payRollProvider
string

The name of the payroll provider for this pay period

Example:

"iPayroll"

startDate
string<date>

The start date of the pay period in YYYY-MM-DD format

Example:

"2026-04-16"